Draft DelPoint.png Draft DelPoint

Menu location
Draft → Remove Point
Workbenches
Draft, Arch
Default shortcut
See also
Draft AddPoint


Description

This tools allows you to remove points from Wires and BSplines.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft DelPoint.png Draft DelPoint button
  3. Click a point on the wire or BSpline

Options

  • This functionality is also available inside the Draft Edit.png Draft Edit tool

Scripting

Not available, but removing points from Wires and BSplines is easy, for example:

import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points.pop(0)
FreeCAD.ActiveDocument.ActiveObjects.Points = points 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe